# رفع الملفات باستخدام GeoPard API

{% hint style="success" %}
النهج الموصى به للملفات التي تزيد عن 6 ميجابايت هو [تدفق عنوان URL الموقَّع مسبقًا](/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/55.-rfa-mlfat-zip-akbr-mn-6-myghabayt.md).
{% endhint %}

تتيح واجهة GeoPard API رفع أرشيفات zip تحتوي على مجموعات بيانات التربة/المردود/المُطبَّق/الحدود لمزيد من المعالجة والتحليلات.

{% hint style="danger" %}
بسبب أحد قيود AWS، الحد الأقصى لحجم الملف الذي يمكنك رفعه عبر نقطة نهاية REST هذه هو 6 ميجابايت.
{% endhint %}

تُوصَف خطوات رفع الملفات التي تزيد عن 6 ميجابايت في [رفع ملفات zip (أكثر من 6 ميجابايت)](/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/55.-rfa-mlfat-zip-akbr-mn-6-myghabayt.md).

فور الرفع الناجح لمجموعة بيانات التربة/المردود/المُطبَّق، يربطها محرك GeoPard بالحقول ذات الصلة الموجودة داخل المزرعة المحددة.

فور الرفع الناجح للحدود، يبدأ محرك GeoPard معالجتها.

يحتوي الرد على `<uuid>` يمكنك استخدامه لتتبع حالة المعالجة.

#### مثال على الطلب:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \\
--header 'Authorization: <token>' \\
--header 'Content-Type: application/zip' \\
--data-binary '@path/to/file.zip'
```

{% endcode %}

المعلمات هي:

1. `<type>` - نوع مجموعة البيانات المرفوعة. يجب أن يكون `المردود` أو `التربة` أو `المُطبَّق` أو `الحدود`.
2. `<farm_uuid>` - `uuid` للمزرعة التي سيتم رفع الملف إليها (اختياري).
3. `<token>` - رمز وصول GeoPard.
4. `@path/to/file.zip` - مسار الملف الجاري رفعه.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/rfa-almlfat-bastkhdam-geopard-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
